package nxm.train.prim;

import nxm.sys.inc.*;
import nxm.sys.lib.*;

/** My second primitive. */
public class primlab2 extends Primitive {

  public int open() {
    String  msgStr  = MA.getS("STR1");
    boolean warn    = MA.getState("/WARN");
    String  resname = MA.getU("RESNAME");
    
    if (warn) {
      M.warning(msgStr);
    } else {
      M.info(msgStr);
    }
    MR.put(resname, msgStr);
    
    return FINISH;
  }
}